clang-tools 10.0.0

Public Member Functions | List of all members
clang::tooling::ExpandModularHeadersPPCallbacks::FileRecorder Class Reference

## Public Member Functions
void | addNecessaryFile (const FileEntry *File)
| Records that a given file entry is needed for replaying callbacks. More...
void | recordFileContent (const FileEntry *File, const SrcMgr::ContentCache &ContentCache, llvm::vfs::InMemoryFileSystem &InMemoryFs)
| Records content for a file and adds it to the FileSystem. More...
void | checkAllFilesRecorded ()
| Makes sure we have contents for all the files we were interested in. More...

## Detailed Description

Definition at line 17 of file ExpandModularHeadersPPCallbacks.cpp.

## Member Function Documentation

## ◆ addNecessaryFile()

void clang::tooling::ExpandModularHeadersPPCallbacks::FileRecorder::addNecessaryFile | ( | const FileEntry * | File | ) |
| inline

Records that a given file entry is needed for replaying callbacks.

Definition at line 20 of file ExpandModularHeadersPPCallbacks.cpp.

## ◆ checkAllFilesRecorded()

void clang::tooling::ExpandModularHeadersPPCallbacks::FileRecorder::checkAllFilesRecorded | ( |  | ) |
| inline

Makes sure we have contents for all the files we were interested in.

Ideally `FilesToRecord` should be empty.

Definition at line 43 of file ExpandModularHeadersPPCallbacks.cpp.

## ◆ recordFileContent()

void clang::tooling::ExpandModularHeadersPPCallbacks::FileRecorder::recordFileContent | ( | const FileEntry * | File,
|  | const SrcMgr::ContentCache & | ContentCache,
|  | llvm::vfs::InMemoryFileSystem & | InMemoryFs
| ) |  |
| inline

Records content for a file and adds it to the FileSystem.

Definition at line 23 of file ExpandModularHeadersPPCallbacks.cpp.

The documentation for this class was generated from the following file:

- ExpandModularHeadersPPCallbacks.cpp